Bug 9301 - ksymoops won't build as non-root
Summary: ksymoops won't build as non-root
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 1.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-02-10 14:26 UTC by Michael Tokarev
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-10 14:26:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michael Tokarev 2000-02-10 14:26:10 UTC
From the whole mess of kernel packages --
only ksymoops won't built as non-root user.
It fails on install stage -- called from .spec as
make install -C ksymoops-%{ksymoopsver}
INSTALL_PREFIX=$RPM_BUILD_ROOT/usr.

In Makefile for it, target install:
  $(INSTALL) -d -o root -g root $(INSTALL_PREFIX)/bin
install: /var/tmp/rpm.../bin: Operation not permitted

Ksymoops has only two files (exe&man), so it will be trivial
to install it from .spec file directly.

That is very annoying to see that rpm build failed on the last
stage after some hours of compiling...

Comment 1 Michael Tokarev 2000-10-19 17:26:34 UTC
Cured a long time ago.  I'm curious -- why this wasn't closed?  So I close it.


Note You need to log in before you can comment on or make changes to this bug.